Update customer's OTP settings
This endpoint allows you to update your OTP settings. You can configure SMS text template, language, callback, OTP code format and more through your OTP settings.
The fetch available languages and SMS text templates use GET /api/v1/sms/otp/settings/languages and GET /api/v1/sms/otp/settings/templates.
Header Parameters
Your API token
Request Body
application/json
OTP settings update parameters
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://dev-refactor-api-e.voipenv.uk/api/v1/sms/otp/settings" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"code": 0,
"data": {
"callback_url": "string",
"client_name": "string",
"code_formats": [
"l"
],
"code_generation_side": "client",
"created_at": "string",
"id": 0,
"language": "string",
"number_of_characters": 0,
"request_data_send_back": true,
"sms_template_id": 0
},
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}